variable "pg_host" {
  type        = string
  description = "postgresql host"
}

variable "pg_port" {
  type        = number
  description = "postgresql post"
  default     = 5432
}

variable "pg_password" {
  type        = string
  description = "postgresql admin password"
  sensitive   = true
}

variable "pg_username" {
  type        = string
  description = "postgresql admin username"
  sensitive   = true
}

variable "pipeline_pg_username" {
  type        = string
  description = "postgresql pipeline username"
  default     = "sustainability_score"
}

variable "pipeline_pg_password" {
  type        = string
  description = "postgresql pipeline password"
  default     = "sustainability_score"
  sensitive   = true
}

variable "pipeline_pg_db" {
  type        = string
  description = "postgresql pipeline db name"
  default     = "sustainability_score"
}

variable "pipeline_pg_schema" {
  type        = string
  description = "postgresql pipeline schema name"
  default     = "sustainability_score"
}
