CREATE TABLE IF NOT EXISTS {{ params.products_table }} (
    tcin             VARCHAR PRIMARY KEY,
    gtin13           VARCHAR   NOT NULL,
    ingestion_time   TIMESTAMP NOT NULL,
    primary_category VARCHAR   NOT NULL,
    materials        VARCHAR[],
    packaging        INT       NOT NULL,
    origin           VARCHAR   NOT NULL,
    weight           NUMERIC,
    height           NUMERIC,
    width            NUMERIC,
    depth            NUMERIC
);
