#!/bin/sh

# We need to wait for a while and potentially retry to make sure both
# postgresql and airflow are ready so that terraform can operate on them

while :; do
    sleep 10
    terraform init &&
        terraform plan &&
        terraform apply -auto-approve &&
        break
done
